head	1.2;
access;
symbols;
locks; strict;
comment	@# @;


1.2
date	97.01.28.03.47.01;	author momjian;	state dead;
branches;
next	1.1;

1.1
date	97.01.25.22.51.04;	author scrappy;	state Exp;
branches;
next	;


desc
@@


1.2
log
@Moved readline stuff into Makefile.global.
@
text
@
In preparation for using configure to compile PostgreSQL, various
define cleanups have been performed.

The most confusing has been psql's use of -lreadline

In order to turn on support for readline, your Makefile.custom file
*must* contain lines similar to:

USE_READLINE= yes
READLINE_INC=
READLINE_LIB=


READLINE_INC can contain:

	-DHAVE_LIBREADLINE 
		not optional if USE_READLINE enabled
	-DHAVE_READLINE_H 
		if <readline.h>, define this
	-DHAVE_HISTORY 
		if you have either <history.h> or <readline/history.h>
	-DHAVE_LIBHISTORY
		if you have a libhistory.a

READLINE_LIB can contain:

	-lreadline 
		not optional if USE_READLINE enabled
	-lhistory
		if you have a libhistory.a


Once support for configure is integrated into the distribution, this will
all be hidden "behind the scenes"

Marc G. Fournier
scrappy@@hub.org
@


1.1
log
@Okay, this should pretty much clean up the psql/readline/history mess.

Added a README.readline file until configure is integrated to *try* and
explain the way things stand.

Removed a stray configure .in file
@
text
@@
